Path: API › 文件管理

`POST /files`

查看面板回收站中的文件和目录列表，支持分页。

## Request body

_Required._

- `action128.request_time` (string, required) — Unix 时间戳。
- `action128.request_token` (string, required) — 按 API 概览生成的签名。
- `action128.action` (string, required) — 具体操作名称。
  - one of `"Get_Recycle_bin"`
- `action128.p` (integer, optional) — 页码，默认 `1`

## Example request

```text
{
  "request_time": "string",
  "request_token": "string",
  "action": "Get_Recycle_bin",
  "p": 0
}
```

## Code samples

### cURL（填写面板地址与签名）

```curl
curl --request POST \
  --url "https://your-panel.example.com:8888/files" \
  --header "Content-Type: application/x-www-form-urlencoded" \
  --data-urlencode "request_time=<Unix时间戳>" \
  --data-urlencode "request_token=<按 API 概览生成的签名>" \
  --data-urlencode "action=Get_Recycle_bin"
```

## Responses

### default

接口响应，业务状态见下方详细说明。

#### Example

```json
{
  "list": [],
  "status": true,
  "status_db": false
}
```

- `action128.response.default.list` (array<unknown>, optional) — 回收站文件列表
- `action128.response.default.status` (boolean, optional) — 文件回收站开关状态
- `action128.response.default.status_db` (boolean, optional) — 数据库回收站开关状态


## Get_Recycle_bin

查看面板回收站中的文件和目录列表，支持分页。

- **路由**：`POST /files`
- **action**：`Get_Recycle_bin`

## 输入参数

| 参数名称 | 必选 | 类型 | 描述 |
|----------|------|------|------|
| action | 是 | String | 固定值 `Get_Recycle_bin` |
| p | 否 | Integer | 页码，默认 `1` |

## 输出参数

| 参数名称 | 类型 | 描述 |
|----------|------|------|
| list | Array | 回收站文件列表 |
| status | Boolean | 文件回收站开关状态 |
| status_db | Boolean | 数据库回收站开关状态 |

## 示例

### 请求

```
POST /files HTTP/1.1
Host: 192.168.168.213:8888
Content-Type: application/x-www-form-urlencoded

action=Get_Recycle_bin&p=1
```

### 响应

```json
{"list": [], "status": true, "status_db": false}
```

